Loading...
Searching...
No Matches
Versioning

## Macros

#define | STARPU_MAJOR_VERSION
#define | STARPU_MINOR_VERSION
#define | STARPU_RELEASE_VERSION

## Functions

void | starpu_get_version (int *major, int *minor, int *release)

## Detailed Description

## Macro Definition Documentation

## STARPU_MAJOR_VERSION

#define STARPU_MAJOR_VERSION

Define the major version of StarPU. This is the version used when compiling the application.

## STARPU_MINOR_VERSION

#define STARPU_MINOR_VERSION

Define the minor version of StarPU. This is the version used when compiling the application.

## STARPU_RELEASE_VERSION

#define STARPU_RELEASE_VERSION

Define the release version of StarPU. This is the version used when compiling the application.

## Function Documentation

## starpu_get_version()

void starpu_get_version | ( | int * | major,
|  | int * | minor,
|  | int * | release
| ) |  |

Return as 3 integers the version of StarPU used when running the application.